cfupmc: Cfupmc_v1_0

| cfupmc Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

Macros | Functions
Cfupmc_v1_0

## Macros
#define | XCFUPMC_HW_H_
| Prevent circular inclusions by using protection macros. More...
#define | XCfupmc_In32 Xil_In32
| Input operation. More...
#define | XCfupmc_Out32 Xil_Out32
| Output operation. More...
#define | XCfupmc_ReadReg(BaseAddress, RegOffset) XCfupmc_In32((u32)(RegOffset))
| This macro reads the given register. More...
#define | XCfupmc_WriteReg(BaseAddress, RegOffset, Data) XCfupmc_Out32((u32)(RegOffset), (u32)(Data))
| This macro writes the value into the given register. More...

## Functions
s32 | XCfupmc_SelfTest (XCfupmc *InstancePtr)
| This function runs a self-test on the driver and hardware device. More...
XCfupmc_Config * | XCfupmc_LookupConfig (u16 DeviceId)
| XCfupmc_LookupConfig returns a reference to an XCfupmc_Config structure based on the unique device id, DeviceId. More...

## Macro Definition Documentation

#define XCFUPMC_HW_H_

Prevent circular inclusions by using protection macros.

#define XCfupmc_In32 Xil_In32

Input operation.

#define XCfupmc_Out32 Xil_Out32

Output operation.

#define XCfupmc_ReadReg | ( |  | BaseAddress,
|  |  | RegOffset
| ) |  | XCfupmc_In32((u32)(RegOffset))

This macro reads the given register.

Parameters

  BaseAddress | is the Xilinx base address of the CFU core.
  RegOffset | is the register offset of the register.

Returns
  The 32-bit value of the register.

Note
  C-style signature: u32 XCfupmc_ReadReg(u32 BaseAddress, u32 RegOffset)

Referenced by XCfupmc_CfuErrHandler(), XCfupmc_CheckParam(), XCfupmc_MaskRegWrite(), XCfupmc_SelfTest(), and XCfupmc_WaitForStreamBusy().

#define XCfupmc_WriteReg | ( |  | BaseAddress,
|  |  | RegOffset,
|  |  | Data
| ) |  | XCfupmc_Out32((u32)(RegOffset), (u32)(Data))

This macro writes the value into the given register.

Parameters

  BaseAddress | is the Xilinx base address of the CFU core.
  RegOffset | is the register offset of the register.
  Data | is the 32-bit value to write to the register.

Returns
  None.

Note
  C-style signature: void XCfupmc_WriteReg(u32 BaseAddress, u32 RegOffset, u32 Data)

Referenced by XCfupmc_CheckParam(), XCfupmc_EndGlblSeq(), XCfupmc_GlblSeqInit(), XCfupmc_MaskRegWrite(), XCfupmc_SelfTest(), XCfupmc_SetGlblSigEn(), XCfupmc_SetParam(), and XCfupmc_StartGlblSeq().

## Function Documentation

XCfupmc_Config* XCfupmc_LookupConfig | ( | u16 | DeviceId | ) |

XCfupmc_LookupConfig returns a reference to an XCfupmc_Config structure based on the unique device id, DeviceId.

The return value will refer to an entry in the device configuration table defined in the xcfupmc_g.c file.

Parameters

  DeviceId | is the unique device ID of the device for the lookup operation.

Returns
  CfgPtr is a reference to a config record in the configuration table (in xcfupmc_g.c) corresponding to DeviceId, or NULL if no match is found.

Note
  None.

s32 XCfupmc_SelfTest | ( | XCfupmc * | InstancePtr | ) |

This function runs a self-test on the driver and hardware device.

Parameters

  InstancePtr | is a pointer to the XCfupmc instance.

Returns
  - XST_SUCCESS if the self-test passed.
  - XST_FAILURE otherwise.

Note
  None.

References XCfupmc_Config::BaseAddress, CFU_APB_CFU_PROTECT, XCfupmc::Config, XCfupmc_ReadReg, and XCfupmc_WriteReg.